---
title: GET Worker Statistics
url: https://www.tines.com/docs/api/info/worker-stats/
updated: 2023-12-19T18:05:52+00:00
description: Retrieve essential information about worker statistics.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Info](https://www.tines.com/llm/docs/api/info.md)*

# GET Worker Statistics

*[View on tines.com](https://www.tines.com/docs/api/info/worker-stats/)*

## Description

Retrieve essential information about worker statistics.

**Note:** This endpoint is accessible only to self-hosted customers.

## Request

HTTP Method: **GET**

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/info/worker_stats \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object containing the information related to worker statistics.

### Field description

| Parameter       | Description                            |
| --------------- | -------------------------------------- |
| current_workers | The number of active workers.          |
| max_workers     | The maximum number of workers allowed. |
| queue_count     | The total count of items in the queue. |
| queue_latency   | The latency of the default queue.      |

### Sample Response

```json
{
  "current_workers": 10,
  "max_workers": 20,
  "queue_count": 100,
  "queue_latency": 500
}
```
